Package tigase.server.bosh

# Class Constants

java.lang.Object
tigase.server.bosh.Constants

public abstract class Constants extends Object
Describe class Constants here.
Created: Tue Jun 5 22:22:09 2007

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static enum`
  `Constants.CacheAction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ACCEPT_ATTR`
  `protected static final String`
  `ACK_ATTR`
  `protected static final String`
  `AUTHID_ATTR`
  `protected static final String`
  `BATCH_QUEUE_TIMEOUT_KEY`
  `protected static final long`
  `BATCH_QUEUE_TIMEOUT_VAL`
  `protected static final String`
  `BODY_EL_NAME`
  `protected static final String[]`
  `BODY_EL_PATH`
  `protected static final long`
  `BOSH_SESSION_CLOSE_DELAY_DEF_VAL`
  `protected static final String`
  `BOSH_SESSION_CLOSE_DELAY_PROP_KEY`
  `static final String`
  `BOSH_VERSION`
  `protected static final String`
  `BOSH_XMLNS`
  `protected static final String`
  `CACHE_ATTR`
  `protected static final String`
  `CACHE_ID_ATTR`
  `protected static final String`
  `CHARSETS_ATTR`
  `protected static final String`
  `CONCURRENT_REQUESTS_PROP_KEY`
  `protected static final int`
  `CONCURRENT_REQUESTS_PROP_VAL`
  `protected static final String`
  `CONTENT_ATTR`
  `protected static final String`
  `CONTENT_TYPE_DEF`
  `protected static final String`
  `FROM_ATTR`
  `protected static final String`
  `HOLD_ATTR`
  `protected static final String`
  `HOLD_REQUESTS_PROP_KEY`
  `protected static final int`
  `HOLD_REQUESTS_PROP_VAL`
  `protected static final String`
  `HOST_ATTR`
  Name of custom attribute to pass name of host to which BOSH connection is established
  `protected static final String`
  `INACTIVITY_ATTR`
  `protected static final String`
  `LANG_ATTR`
  `protected static final String`
  `MAX_BATCH_SIZE_KEY`
  `protected static final int`
  `MAX_BATCH_SIZE_VAL`
  `protected static final String`
  `MAX_INACTIVITY_PROP_KEY`
  `protected static final long`
  `MAX_INACTIVITY_PROP_VAL`
  `protected static final int`
  `MAX_PACKETS`
  `protected static final String`
  `MAX_PAUSE_PROP_KEY`
  `protected static final long`
  `MAX_PAUSE_PROP_VAL`
  `protected static final String`
  `MAX_SESSION_WAITING_PACKETS_KEY`
  `protected static final int`
  `MAX_SESSION_WAITING_PACKETS_VAL`
  `protected static final String`
  `MAX_WAIT_DEF_PROP_KEY`
  `protected static final long`
  `MAX_WAIT_DEF_PROP_VAL`
  `protected static final String`
  `MAXPAUSE_ATTR`
  `protected static final String`
  `MIN_POLLING_PROP_KEY`
  `protected static final long`
  `MIN_POLLING_PROP_VAL`
  `protected static final String`
  `POLLING_ATTR`
  `protected static final String`
  `PRE_BIND_ATTR`
  `protected static final String`
  `REQUESTS_ATTR`
  `protected static final String`
  `RESTART_ATTR`
  `protected static final String`
  `RID_ATTR`
  `protected static final String`
  `ROUTE_ATTR`
  `protected static final String`
  `SECURE_ATTR`
  `protected static final String`
  `SEND_NODE_HOSTNAME_KEY`
  `protected static final boolean`
  `SEND_NODE_HOSTNAME_VAL`
  `protected static final String`
  `SESSION_ID_ATTR`
  `protected static final String`
  `SID_ATTR`
  `protected static final String`
  `SID_LOGGER_KEY`
  `protected static final String`
  `SID_LOGGER_VAL`
  `protected static final String`
  `TO_ATTR`
  `protected static final String`
  `USER_ID_ATTR`
  `protected static final String`
  `VER_ATTR`
  `protected static final String`
  `WAIT_ATTR`
  `protected static final String`
  `XMLNS_CLIENT_VAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BOSH_VERSION

    public static final String BOSH_VERSION
    See Also:
      - Constant Field Values

  - ### ACCEPT_ATTR

    protected static final String ACCEPT_ATTR
    See Also:
      - Constant Field Values

  - ### ACK_ATTR

    protected static final String ACK_ATTR
    See Also:
      - Constant Field Values

  - ### AUTHID_ATTR

    protected static final String AUTHID_ATTR
    See Also:
      - Constant Field Values

  - ### BATCH_QUEUE_TIMEOUT_KEY

    protected static final String BATCH_QUEUE_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### BATCH_QUEUE_TIMEOUT_VAL

    protected static final long BATCH_QUEUE_TIMEOUT_VAL
    See Also:
      - Constant Field Values

  - ### BODY_EL_NAME

    protected static final String BODY_EL_NAME
    See Also:
      - Constant Field Values

  - ### BODY_EL_PATH

    protected static final String[] BODY_EL_PATH

  - ### BOSH_SESSION_CLOSE_DELAY_DEF_VAL

    protected static final long BOSH_SESSION_CLOSE_DELAY_DEF_VAL
    See Also:
      - Constant Field Values

  - ### BOSH_SESSION_CLOSE_DELAY_PROP_KEY

    protected static final String BOSH_SESSION_CLOSE_DELAY_PROP_KEY
    See Also:
      - Constant Field Values

  - ### BOSH_XMLNS

    protected static final String BOSH_XMLNS
    See Also:
      - Constant Field Values

  - ### CACHE_ATTR

    protected static final String CACHE_ATTR
    See Also:
      - Constant Field Values

  - ### CACHE_ID_ATTR

    protected static final String CACHE_ID_ATTR
    See Also:
      - Constant Field Values

  - ### CHARSETS_ATTR

    protected static final String CHARSETS_ATTR
    See Also:
      - Constant Field Values

  - ### CONCURRENT_REQUESTS_PROP_KEY

    protected static final String CONCURRENT_REQUESTS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### CONCURRENT_REQUESTS_PROP_VAL

    protected static final int CONCURRENT_REQUESTS_PROP_VAL
    See Also:
      - Constant Field Values

  - ### CONTENT_ATTR

    protected static final String CONTENT_ATTR
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE_DEF

    protected static final String CONTENT_TYPE_DEF
    See Also:
      - Constant Field Values

  - ### FROM_ATTR

    protected static final String FROM_ATTR
    See Also:
      - Constant Field Values

  - ### HOLD_ATTR

    protected static final String HOLD_ATTR
    See Also:
      - Constant Field Values

  - ### HOLD_REQUESTS_PROP_KEY

    protected static final String HOLD_REQUESTS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### HOLD_REQUESTS_PROP_VAL

    protected static final int HOLD_REQUESTS_PROP_VAL
    See Also:
      - Constant Field Values

  - ### HOST_ATTR

    protected static final String HOST_ATTR
    Name of custom attribute to pass name of host to which BOSH connection is established
    See Also:
      - Constant Field Values

  - ### INACTIVITY_ATTR

    protected static final String INACTIVITY_ATTR
    See Also:
      - Constant Field Values

  - ### LANG_ATTR

    protected static final String LANG_ATTR
    See Also:
      - Constant Field Values

  - ### PRE_BIND_ATTR

    protected static final String PRE_BIND_ATTR
    See Also:
      - Constant Field Values

  - ### SESSION_ID_ATTR

    protected static final String SESSION_ID_ATTR
    See Also:
      - Constant Field Values

  - ### USER_ID_ATTR

    protected static final String USER_ID_ATTR
    See Also:
      - Constant Field Values

  - ### MAX_BATCH_SIZE_KEY

    protected static final String MAX_BATCH_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### MAX_INACTIVITY_PROP_KEY

    protected static final String MAX_INACTIVITY_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MAX_INACTIVITY_PROP_VAL

    protected static final long MAX_INACTIVITY_PROP_VAL
    See Also:
      - Constant Field Values

  - ### MAX_PACKETS

    protected static final int MAX_PACKETS
    See Also:
      - Constant Field Values

  - ### MAX_PAUSE_PROP_KEY

    protected static final String MAX_PAUSE_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MAX_PAUSE_PROP_VAL

    protected static final long MAX_PAUSE_PROP_VAL
    See Also:
      - Constant Field Values

  - ### MAX_SESSION_WAITING_PACKETS_KEY

    protected static final String MAX_SESSION_WAITING_PACKETS_KEY
    See Also:
      - Constant Field Values

  - ### MAX_SESSION_WAITING_PACKETS_VAL

    protected static final int MAX_SESSION_WAITING_PACKETS_VAL
    See Also:
      - Constant Field Values

  - ### MAX_WAIT_DEF_PROP_KEY

    protected static final String MAX_WAIT_DEF_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MAX_WAIT_DEF_PROP_VAL

    protected static final long MAX_WAIT_DEF_PROP_VAL
    See Also:
      - Constant Field Values

  - ### MAXPAUSE_ATTR

    protected static final String MAXPAUSE_ATTR
    See Also:
      - Constant Field Values

  - ### MIN_POLLING_PROP_KEY

    protected static final String MIN_POLLING_PROP_KEY
    See Also:
      - Constant Field Values

  - ### MIN_POLLING_PROP_VAL

    protected static final long MIN_POLLING_PROP_VAL
    See Also:
      - Constant Field Values

  - ### POLLING_ATTR

    protected static final String POLLING_ATTR
    See Also:
      - Constant Field Values

  - ### REQUESTS_ATTR

    protected static final String REQUESTS_ATTR
    See Also:
      - Constant Field Values

  - ### RESTART_ATTR

    protected static final String RESTART_ATTR
    See Also:
      - Constant Field Values

  - ### RID_ATTR

    protected static final String RID_ATTR
    See Also:
      - Constant Field Values

  - ### ROUTE_ATTR

    protected static final String ROUTE_ATTR
    See Also:
      - Constant Field Values

  - ### SECURE_ATTR

    protected static final String SECURE_ATTR
    See Also:
      - Constant Field Values

  - ### SEND_NODE_HOSTNAME_KEY

    protected static final String SEND_NODE_HOSTNAME_KEY
    See Also:
      - Constant Field Values

  - ### SEND_NODE_HOSTNAME_VAL

    protected static final boolean SEND_NODE_HOSTNAME_VAL
    See Also:
      - Constant Field Values

  - ### SID_ATTR

    protected static final String SID_ATTR
    See Also:
      - Constant Field Values

  - ### TO_ATTR

    protected static final String TO_ATTR
    See Also:
      - Constant Field Values

  - ### VER_ATTR

    protected static final String VER_ATTR
    See Also:
      - Constant Field Values

  - ### WAIT_ATTR

    protected static final String WAIT_ATTR
    See Also:
      - Constant Field Values

  - ### XMLNS_CLIENT_VAL

    protected static final String XMLNS_CLIENT_VAL
    See Also:
      - Constant Field Values

  - ### MAX_BATCH_SIZE_VAL

    protected static final int MAX_BATCH_SIZE_VAL
    See Also:
      - Constant Field Values

  - ### SID_LOGGER_KEY

    protected static final String SID_LOGGER_KEY
    See Also:
      - Constant Field Values

  - ### SID_LOGGER_VAL

    protected static final String SID_LOGGER_VAL

- ## Constructor Details

  - ### Constants

    public Constants()